org.apache.ignite.internal.processors.cache.tree

## Class PendingRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.tree.PendingRow

    public class PendingRow
    extends Object

### Field Summary

Fields
`int` `cacheId` Cache ID.
`long` `expireTime` Expire time.
`KeyCacheObject` `key`
`long` `link` Link.

### Constructor Summary

Constructors
Constructor and Description
`PendingRow(int cacheId)` Creates a new instance which represents an upper or lower bound inside a logical cache.
`PendingRow(int cacheId, long expireTime, long link)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### expireTime

    public long expireTime

Expire time.

#### link

    public long link

Link.

#### cacheId

    public int cacheId

Cache ID.

#### key

    public KeyCacheObject key

### Constructor Detail

#### PendingRow

    public PendingRow(int cacheId)

Creates a new instance which represents an upper or lower bound inside a logical cache.

Parameters:
  `cacheId` - Cache ID.

#### PendingRow

    public PendingRow(int cacheId,
                      long expireTime,
                      long link)

Parameters:
  `cacheId` - Cache ID.
  `expireTime` - Expire time.
  `link` - Link

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019